AC_PREREQ(2.59)
AC_INIT(sm-archive,1.10,carl@five-ten-sg.com)
AC_CONFIG_SRCDIR([config.h.in])
AC_CONFIG_HEADER([config.h])

AM_INIT_AUTOMAKE($PACKAGE_NAME,$PACKAGE_VERSION)

# Checks for programs.
AC_PATH_PROGS(BASH, bash)
if test "x$BASH" = x ; then
    AC_MSG_ERROR([bash required for init script])
fi
AC_PROG_CXX
AC_PROG_CC
AC_PROG_CPP
AC_PROG_INSTALL
AC_PROG_LN_S
AC_PROG_MAKE_SET
AC_PROG_RANLIB

# Checks for header files.
AC_HEADER_SYS_WAIT
AC_CHECK_HEADERS([fcntl.h stdlib.h syslog.h unistd.h])

# Checks for typedefs, structures, and compiler characteristics.
AC_HEADER_STDBOOL
AC_C_CONST

# Checks for library functions.
AC_FUNC_FORK
AC_FUNC_GETPGRP
AC_FUNC_STAT
AC_CHECK_FUNCS([memset socket strchr strdup strncasecmp strtol daemon])

# check for posix threads
ACX_PTHREAD

AC_CONFIG_FILES([Makefile
                 sm-archive.rc
                 sm-archive.spec
                 html/Makefile
                 info/Makefile
                 man/Makefile
                 src/Makefile
                 xml/Makefile
                 xml/sm-archive])
AC_OUTPUT
